Next: IPARITY, Previous: INT8, Up: Intrinsic Procedures [Contents][Index]

### 9.152 `IOR` — Bitwise logical or

Description:

  `IOR` returns the bitwise Boolean inclusive-OR of I and J.

Standard:

  Fortran 90 and later, with boz-literal-constant Fortran 2008 and later, has overloads that are GNU extensions

Class:

  Elemental function

Syntax:

  `RESULT = IOR(I, J)`

Arguments:

  I | The type shall be `INTEGER` or a boz-literal-constant.
  J | The type shall be `INTEGER` with the same kind type parameter as I or a boz-literal-constant. I and J shall not both be boz-literal-constants.

Return value:

  The return type is `INTEGER` with the kind type parameter of the arguments. A boz-literal-constant is converted to an `INTEGER` with the kind type parameter of the other argument as-if a call to INT occurred.

Specific names:

  Name | Argument | Return type | Standard
  `IOR(A)` | `INTEGER A` | `INTEGER` | Fortran 90 and later
  `BIOR(A)` | `INTEGER(1) A` | `INTEGER(1)` | GNU extension
  `IIOR(A)` | `INTEGER(2) A` | `INTEGER(2)` | GNU extension
  `JIOR(A)` | `INTEGER(4) A` | `INTEGER(4)` | GNU extension
  `KIOR(A)` | `INTEGER(8) A` | `INTEGER(8)` | GNU extension

See also:

  IEOR, IAND, IBITS, IBSET, IBCLR, NOT